// Code generated by MockGen. DO NOT EDIT.
// Source: ./schulden_usecase.go

// Package mock is a generated GoMock package.
package mock

import (
	appdebtprocess "appdebtprocess"
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
	healthcheck "gitlab.com/commonground/blauwe-knop/health-checker/healthchecker"
)

// MockDebtRegisterRepositoryEndpoint is a mock of DebtRegisterRepositoryEndpoint interface.
type MockDebtRegisterRepositoryEndpoint struct {
	ctrl     *gomock.Controller
	recorder *MockDebtRegisterRepositoryEndpointMockRecorder
}

// MockDebtRegisterRepositoryEndpointMockRecorder is the mock recorder for MockDebtRegisterRepositoryEndpoint.
type MockDebtRegisterRepositoryEndpointMockRecorder struct {
	mock *MockDebtRegisterRepositoryEndpoint
}

// NewMockDebtRegisterRepositoryEndpoint creates a new mock instance.
func NewMockDebtRegisterRepositoryEndpoint(ctrl *gomock.Controller) *MockDebtRegisterRepositoryEndpoint {
	mock := &MockDebtRegisterRepositoryEndpoint{ctrl: ctrl}
	mock.recorder = &MockDebtRegisterRepositoryEndpointMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockDebtRegisterRepositoryEndpoint) EXPECT() *MockDebtRegisterRepositoryEndpointMockRecorder {
	return m.recorder
}

// GetHealthCheck mocks base method.
func (m *MockDebtRegisterRepositoryEndpoint) GetHealthCheck() healthcheck.Result {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetHealthCheck")
	ret0, _ := ret[0].(healthcheck.Result)
	return ret0
}

// GetHealthCheck indicates an expected call of GetHealthCheck.
func (mr *MockDebtRegisterRepositoryEndpointMockRecorder) GetHealthCheck() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetHealthCheck", reflect.TypeOf((*MockDebtRegisterRepositoryEndpoint)(nil).GetHealthCheck))
}

// GetSchulden mocks base method.
func (m *MockDebtRegisterRepositoryEndpoint) GetSchulden(bsn appdebtprocess.BSN) (*[]appdebtprocess.Schuld, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetSchulden", bsn)
	ret0, _ := ret[0].(*[]appdebtprocess.Schuld)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetSchulden indicates an expected call of GetSchulden.
func (mr *MockDebtRegisterRepositoryEndpointMockRecorder) GetSchulden(bsn interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetSchulden", reflect.TypeOf((*MockDebtRegisterRepositoryEndpoint)(nil).GetSchulden), bsn)
}

// MockLinkRegisterRepository is a mock of LinkRegisterRepository interface.
type MockLinkRegisterRepository struct {
	ctrl     *gomock.Controller
	recorder *MockLinkRegisterRepositoryMockRecorder
}

// MockLinkRegisterRepositoryMockRecorder is the mock recorder for MockLinkRegisterRepository.
type MockLinkRegisterRepositoryMockRecorder struct {
	mock *MockLinkRegisterRepository
}

// NewMockLinkRegisterRepository creates a new mock instance.
func NewMockLinkRegisterRepository(ctrl *gomock.Controller) *MockLinkRegisterRepository {
	mock := &MockLinkRegisterRepository{ctrl: ctrl}
	mock.recorder = &MockLinkRegisterRepositoryMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockLinkRegisterRepository) EXPECT() *MockLinkRegisterRepositoryMockRecorder {
	return m.recorder
}

// GetBSNFromLinkToken mocks base method.
func (m *MockLinkRegisterRepository) GetBSNFromLinkToken(linkToken string) (*appdebtprocess.BSN, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetBSNFromLinkToken", linkToken)
	ret0, _ := ret[0].(*appdebtprocess.BSN)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetBSNFromLinkToken indicates an expected call of GetBSNFromLinkToken.
func (mr *MockLinkRegisterRepositoryMockRecorder) GetBSNFromLinkToken(linkToken interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetBSNFromLinkToken", reflect.TypeOf((*MockLinkRegisterRepository)(nil).GetBSNFromLinkToken), linkToken)
}

// GetHealthCheck mocks base method.
func (m *MockLinkRegisterRepository) GetHealthCheck() healthcheck.Result {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetHealthCheck")
	ret0, _ := ret[0].(healthcheck.Result)
	return ret0
}

// GetHealthCheck indicates an expected call of GetHealthCheck.
func (mr *MockLinkRegisterRepositoryMockRecorder) GetHealthCheck() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetHealthCheck", reflect.TypeOf((*MockLinkRegisterRepository)(nil).GetHealthCheck))
}
